curl --request POST \
--url https://api.example.com/api/v1/trigger/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"contractId": 123,
"interceptorId": 123,
"type": "BLACKLISTED_CALLERS",
"name": "<string>",
"config": {
"blacklist": [
"0xd6dfD811E06267b25472753c4e57C0B28652bFB8"
]
},
"actions": [
"PAUSE"
],
"alerts": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"severity": "INFO",
"name": "Suspicious interaction",
"message": "This is a critical alert message",
"destinations": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantDestination": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"type": "EMAIL",
"uid": "Telegram: /start {uid}",
"tags": [
"DEFAULT"
],
"value": "<string>",
"telegramBotUsername": "<string>",
"telegramUserId": "<string>",
"telegramUsername": "<string>",
"telegramChatId": "<string>",
"telegramChatTitle": "<string>",
"telegramChatType": "<string>",
"slackUri": "<string>",
"slackChannelId": "<string>",
"slackChannelName": "<string>",
"uri": "<string>",
"method": "<string>",
"headers": {}
}
}
],
"actions": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"actionId": 123
}
]
}
]
}
],
"total": 123
}Search by params from response dto
curl --request POST \
--url https://api.example.com/api/v1/trigger/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"contractId": 123,
"interceptorId": 123,
"type": "BLACKLISTED_CALLERS",
"name": "<string>",
"config": {
"blacklist": [
"0xd6dfD811E06267b25472753c4e57C0B28652bFB8"
]
},
"actions": [
"PAUSE"
],
"alerts": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"severity": "INFO",
"name": "Suspicious interaction",
"message": "This is a critical alert message",
"destinations": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantDestination": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"type": "EMAIL",
"uid": "Telegram: /start {uid}",
"tags": [
"DEFAULT"
],
"value": "<string>",
"telegramBotUsername": "<string>",
"telegramUserId": "<string>",
"telegramUsername": "<string>",
"telegramChatId": "<string>",
"telegramChatTitle": "<string>",
"telegramChatType": "<string>",
"slackUri": "<string>",
"slackChannelId": "<string>",
"slackChannelName": "<string>",
"uri": "<string>",
"method": "<string>",
"headers": {}
}
}
],
"actions": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"actionId": 123
}
]
}
]
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
Starting document offset
x >= 00
The number of hits to return
0 <= x <= 1000010
Query string to search for data. Represent SQL 'where'
"field1='value' and field2<>'value2'"
Sorting for the search
1Show child attributes
Return total results field if true